UIColumnGroup (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.component.UIColumnGroup class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIColumnGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  org.richfaces.component.UIColumnGroup

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.richfaces.component.Column, Row

Direct Known Subclasses:
  HtmlColumnGroup

    public abstract class UIColumnGroup

extends javax.faces.component.UIPanel
implements Row

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIColumnGroup()`

Method Summary
`java.util.Iterator<javax.faces.component.UIComponent>` | `columns()` Get iterator for all columns contained in this row.
`boolean` | `isBreakBefore()`
`void` | `setBreakBefore(boolean newBreakBefore)`

Methods inherited from class javax.faces.component.UIPanel
`getFamily`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.Column
`getFilterMethod, getFilterValue, getSortExpression, getSortOrder, isSelfSorted, isSortable, setFilterMethod, setFilterValue, setSelfSorted, setSortable, setSortExpression, setSortOrder`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIColumnGroup

    public UIColumnGroup()

Method Detail

### columns

    public java.util.Iterator<javax.faces.component.UIComponent> columns()

  Description copied from interface: `Row`
  Get iterator for all columns contained in this row.

  Specified by:
    `columns` in interface `Row`
  Returns:

### isBreakBefore

    public boolean isBreakBefore()

  Specified by:
    `isBreakBefore` in interface `org.richfaces.component.Column`

### setBreakBefore

    public void setBreakBefore(boolean newBreakBefore)

  Specified by:
    `setBreakBefore` in interface `org.richfaces.component.Column`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.